//  hwdeintprop.h
//
//	hwdeint main property page
//
//	Copyright (c) 2005 N099
//
#ifndef _HWDEINTPROP_H_
#define _HWDEINTPROP_H_

interface IHWDeint;

class CHWDeintProp : public CBasePropertyPage
{
private:
	IHWDeint *m_pHWDeint;
	CONFIG m_config;
public:
	static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT * phr);

	CHWDeintProp(LPUNKNOWN pUnk);
	~CHWDeintProp() {}

	HRESULT OnConnect(IUnknown *pUnk);
	HRESULT OnActivate(void);
	BOOL OnReceiveMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	HRESULT OnApplyChanges(void);
	HRESULT OnDisconnect(void);

	void SetDirty(void);
};

#endif /* _HWDEINTPROP_H_ */
