//  util.h
//
//	reg utility functions
//
//	Copyright (c) 2005 N099
//
#ifndef _UTIL_H_
#define _UTIL_H_

#include <vector>
#include <string>
#include "hwdeintdefs.h"

/* registry stuff */
#define HWDI_REG_KEY          HKEY_CURRENT_USER
#define HWDI_REG_SUBKEY       "Software\\N099\\HWDI"
#define HWDI_REG_CLASS        "config"
#define HWDI_REG_SUBKEY_DSF   "Software\\N099\\HWDI\\dsf"
#define HWDI_REG_SUBKEY_FINFO "CLSID\\{083863F1-70DE-11d0-BD40-00A0C911CE86}\\Instance\\{15061C3B-C7B0-467C-AFCC-FFB303BA4163}"

/* functions */
void LoadRegistryInfo(CONFIG *);
void SaveRegistryInfo(CONFIG &);
void LoadDSFlist(std::vector<std::wstring> &);
void SaveDSFlist(std::vector<std::wstring> &);


#endif